Package gaia.cu9.tools.parallax.readers

# Class Test2CsvSchema

java.lang.Object
gaia.cu9.tools.parallax.readers.CsvSchema<StarVariables>
gaia.cu9.tools.parallax.readers.StarVariablesCsvSchema
gaia.cu9.tools.parallax.readers.Test2CsvSchema

public class Test2CsvSchema extends StarVariablesCsvSchema

## Field Summary

### Fields inherited from class gaia.cu9.tools.parallax.readers.StarVariablesCsvSchema

`ALPHA, B, DELTA, L, REAL_R, REAL_VARPI, SIGMA_ALPHA, SIGMA_DELTA, SIGMA_VARPI, SOURCE_ID, VARPI`

### Fields inherited from class gaia.cu9.tools.parallax.readers.CsvSchema

`columnIndexes, distanceMultiplier, nLinesToDiscard, separators, skipLineMarker`

## Constructor Summary

Constructors
Constructor
Description
`Test2CsvSchema()`

## Method Summary

Modifier and Type
Method
Description
`Map<String,Integer>`
`setupColumnIndexes()`

### Methods inherited from class gaia.cu9.tools.parallax.readers.CsvSchema

`getColumnIndex, getDistanceMultiplier, getNLinesToDiscard, getSeparators, getSkipLineMarker, setupDistanceMultiplier, setupNLinesToDiscard, setupSeparators, setupSkipLineMarker`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Test2CsvSchema

public Test2CsvSchema()

## Method Details

### setupColumnIndexes

public Map<String,Integer> setupColumnIndexes()

Specified by:
  `setupColumnIndexes` in class `CsvSchema<StarVariables>`